Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class Mapping

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.Mapping

Direct Known Subclasses:
  MappingWithDefaultValue, PartialMapping

    public abstract class Mapping

extends FeatureConstruction

The class Mapping is abstract class for the operators of type Mapping

Version:
  $Id: Mapping.java,v 1.5 2006/09/27 14:59:56 euler Exp $
Author:
  Cezary Chudzian
See Also:
  `MappingWithDefaultValue`, `PartialMapping`

Constructor Summary
`Mapping()`

Method Summary
`java.lang.String` | `generateSQL(Column theTargetAttributeColumn)` Generates a sql-function to describe a new column.
`abstract java.lang.String` | `getDefault(Column theTargetAttributeColumn)` Implemented in subclasses
`Value[]` | `getTheMappings(int loopNr)` Gets the theMappings.

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapping

    public Mapping()

Method Detail

### getDefault

    public abstract java.lang.String getDefault(Column theTargetAttributeColumn)
                                         throws M4CompilerError

  Implemented in subclasses

  Returns:
    value to map to if mapping is not specified
  Throws:
    `M4CompilerError`

### generateSQL

    public java.lang.String generateSQL(Column theTargetAttributeColumn)
                                 throws M4CompilerError

  Generates a sql-function to describe a new column. This method generates a sql-function to describe a new column.

  Specified by:
    `generateSQL` in class `FeatureConstruction`
  Parameters:
    `theTargetAttributeColumn` - The Column to which this FeatureConstruction Operator is applied. Some subclasses may ignore this parameter.
  Returns:
    the SQL-function call
  Throws:
    `M4CompilerError` - A simple exception object with an error message.

### getTheMappings

    public Value[] getTheMappings(int loopNr)
                           throws M4CompilerError

  Gets the theMappings.

  Parameters:
    `loopNr` - the loop number to get the Parameter for
  Returns:
    Returns a Value[]
  Throws:
    `M4CompilerError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005